
BUILD=build

rm -rf $BUILD 
mkdir -p $BUILD 

# Compiling javatex
pushd src
javac -d ../build `find . -name *.java`
popd

# copying resources
cp src/properties $BUILD
cp -r src/tex/* $BUILD

# creating ls-R
pushd $BUILD 
ls -R > ls-R
popd

# Compiling plain.fmt
pushd $BUILD 
java javaTeX.initex plain.tex
popd

# Creating a latex document
cp -r src/latex/* $BUILD
pushd $BUILD 
java javaTeX.initex "&latex" tex-wikipedia.tex
popd


